curl "https://api.ionq.co/v0.3/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.3/characterizations/{UUID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/characterizations/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": 123,
"backend": "qpu.harmony",
"qubits": 1,
"connectivity": [
[
0,
1
],
[
0,
2
],
"...",
[
10,
9
]
],
"fidelity": {
"spam": {
"mean": 1,
"stderr": 1,
"median": 1
}
},
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 123,
"t2": 123
}
}Get a Characterization
This endpoint retrieves a characterization.
curl "https://api.ionq.co/v0.3/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.3/characterizations/{UUID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/characterizations/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": 123,
"backend": "qpu.harmony",
"qubits": 1,
"connectivity": [
[
0,
1
],
[
0,
2
],
"...",
[
10,
9
]
],
"fidelity": {
"spam": {
"mean": 1,
"stderr": 1,
"median": 1
}
},
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 123,
"t2": 123
}
}Path Parameters
A UUID identifying a specific resource
Response
Successfully retrieved current characterization
Quantum hardware characterization data.
UUID of the characterization.
Time of the measurement, from Unix epoch in seconds.
The calibrated QPU being characterized.
qpu.harmony, qpu.aria-1, qpu.aria-2, qpu.forte-1, qpu.forte-enterprise-1 The number of qubits available.
x >= 0An array of valid, unordered tuples of possible qubits for executing two-qubit gates (e.g., [[0, 1], [0, 2], [1, 2]])
[[0, 1], [0, 2], "...", [10, 9]]
Fidelity for single-qubit (1q) and two-qubit (2q) gates, and State Preparation and Measurement (spam) operations.
Currently provides only mean fidelity; additional statistical data will be added in the future.
Show child attributes
Show child attributes
Time, in seconds, of various system properties: t1 time, t2 time, 1q gate time, 2q gate time, readout time, and qubit reset time.
Show child attributes
Show child attributes
Was this page helpful?

